diff --git a/net/kldap/pkg-plist b/net/kldap/pkg-plist
index 47375c9a3660..82db88b9edc5 100644
--- a/net/kldap/pkg-plist
+++ b/net/kldap/pkg-plist
@@ -1,183 +1,203 @@
-include/KPim5/KLDAP/KLDAP/AddHostDialog
-include/KPim5/KLDAP/KLDAP/Ber
-include/KPim5/KLDAP/KLDAP/LdapClient
-include/KPim5/KLDAP/KLDAP/LdapClientSearch
-include/KPim5/KLDAP/KLDAP/LdapClientSearchConfig
-include/KPim5/KLDAP/KLDAP/LdapClientSearchConfigReadConfigJob
-include/KPim5/KLDAP/KLDAP/LdapClientSearchConfigWriteConfigJob
-include/KPim5/KLDAP/KLDAP/LdapConfigWidget
-include/KPim5/KLDAP/KLDAP/LdapConfigureWidget
-include/KPim5/KLDAP/KLDAP/LdapConnection
-include/KPim5/KLDAP/KLDAP/LdapControl
-include/KPim5/KLDAP/KLDAP/LdapDN
-include/KPim5/KLDAP/KLDAP/LdapDefs
-include/KPim5/KLDAP/KLDAP/LdapObject
-include/KPim5/KLDAP/KLDAP/LdapOperation
-include/KPim5/KLDAP/KLDAP/LdapSearch
-include/KPim5/KLDAP/KLDAP/LdapSearchClientReadConfigServerJob
-include/KPim5/KLDAP/KLDAP/LdapServer
-include/KPim5/KLDAP/KLDAP/LdapUrl
-include/KPim5/KLDAP/KLDAP/Ldif
-include/KPim5/KLDAP/kldap/addhostdialog.h
-include/KPim5/KLDAP/kldap/ber.h
-include/KPim5/KLDAP/kldap/kldap_export.h
-include/KPim5/KLDAP/kldap/ldapclient.h
-include/KPim5/KLDAP/kldap/ldapclientsearch.h
-include/KPim5/KLDAP/kldap/ldapclientsearchconfig.h
-include/KPim5/KLDAP/kldap/ldapclientsearchconfigreadconfigjob.h
-include/KPim5/KLDAP/kldap/ldapclientsearchconfigwriteconfigjob.h
-include/KPim5/KLDAP/kldap/ldapconfigurewidget.h
-include/KPim5/KLDAP/kldap/ldapconfigwidget.h
-include/KPim5/KLDAP/kldap/ldapconnection.h
-include/KPim5/KLDAP/kldap/ldapcontrol.h
-include/KPim5/KLDAP/kldap/ldapdefs.h
-include/KPim5/KLDAP/kldap/ldapdn.h
-include/KPim5/KLDAP/kldap/ldapobject.h
-include/KPim5/KLDAP/kldap/ldapoperation.h
-include/KPim5/KLDAP/kldap/ldapsearch.h
-include/KPim5/KLDAP/kldap/ldapsearchclientreadconfigserverjob.h
-include/KPim5/KLDAP/kldap/ldapserver.h
-include/KPim5/KLDAP/kldap/ldapurl.h
-include/KPim5/KLDAP/kldap/ldif.h
-include/KPim5/KLDAP/kldap_version.h
-lib/cmake/KPim5Ldap/KPim5LdapConfig.cmake
-lib/cmake/KPim5Ldap/KPim5LdapConfigVersion.cmake
-lib/cmake/KPim5Ldap/KPim5LdapTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Ldap/KPim5LdapTargets.cmake
-lib/libKPim5Ldap.so
-lib/libKPim5Ldap.so.5
-lib/libKPim5Ldap.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_Ldap.pri
-%%QT_PLUGINDIR%%/kf5/kio/ldap.so
+include/KPim6/KLDAPCore/KLDAPCore/Ber
+include/KPim6/KLDAPCore/KLDAPCore/LdapActivitiesAbstract
+include/KPim6/KLDAPCore/KLDAPCore/LdapClient
+include/KPim6/KLDAPCore/KLDAPCore/LdapClientSearch
+include/KPim6/KLDAPCore/KLDAPCore/LdapClientSearchConfig
+include/KPim6/KLDAPCore/KLDAPCore/LdapClientSearchConfigReadConfigJob
+include/KPim6/KLDAPCore/KLDAPCore/LdapClientSearchConfigWriteConfigJob
+include/KPim6/KLDAPCore/KLDAPCore/LdapConnection
+include/KPim6/KLDAPCore/KLDAPCore/LdapControl
+include/KPim6/KLDAPCore/KLDAPCore/LdapDN
+include/KPim6/KLDAPCore/KLDAPCore/LdapDefs
+include/KPim6/KLDAPCore/KLDAPCore/LdapModel
+include/KPim6/KLDAPCore/KLDAPCore/LdapObject
+include/KPim6/KLDAPCore/KLDAPCore/LdapOperation
+include/KPim6/KLDAPCore/KLDAPCore/LdapSearch
+include/KPim6/KLDAPCore/KLDAPCore/LdapSearchClientReadConfigServerJob
+include/KPim6/KLDAPCore/KLDAPCore/LdapServer
+include/KPim6/KLDAPCore/KLDAPCore/LdapSortProxyModel
+include/KPim6/KLDAPCore/KLDAPCore/LdapUrl
+include/KPim6/KLDAPCore/KLDAPCore/Ldif
+include/KPim6/KLDAPCore/kldap_core_version.h
+include/KPim6/KLDAPCore/kldapcore/ber.h
+include/KPim6/KLDAPCore/kldapcore/kldap_core_export.h
+include/KPim6/KLDAPCore/kldapcore/ldapactivitiesabstract.h
+include/KPim6/KLDAPCore/kldapcore/ldapclient.h
+include/KPim6/KLDAPCore/kldapcore/ldapclientsearch.h
+include/KPim6/KLDAPCore/kldapcore/ldapclientsearchconfig.h
+include/KPim6/KLDAPCore/kldapcore/ldapclientsearchconfigreadconfigjob.h
+include/KPim6/KLDAPCore/kldapcore/ldapclientsearchconfigwriteconfigjob.h
+include/KPim6/KLDAPCore/kldapcore/ldapconnection.h
+include/KPim6/KLDAPCore/kldapcore/ldapcontrol.h
+include/KPim6/KLDAPCore/kldapcore/ldapdefs.h
+include/KPim6/KLDAPCore/kldapcore/ldapdn.h
+include/KPim6/KLDAPCore/kldapcore/ldapmodel.h
+include/KPim6/KLDAPCore/kldapcore/ldapobject.h
+include/KPim6/KLDAPCore/kldapcore/ldapoperation.h
+include/KPim6/KLDAPCore/kldapcore/ldapsearch.h
+include/KPim6/KLDAPCore/kldapcore/ldapsearchclientreadconfigserverjob.h
+include/KPim6/KLDAPCore/kldapcore/ldapserver.h
+include/KPim6/KLDAPCore/kldapcore/ldapsortproxymodel.h
+include/KPim6/KLDAPCore/kldapcore/ldapurl.h
+include/KPim6/KLDAPCore/kldapcore/ldif.h
+include/KPim6/KLDAPWidgets/KLDAPWidgets/AddHostDialog
+include/KPim6/KLDAPWidgets/KLDAPWidgets/LdapActivitiesAbstractPlugin
+include/KPim6/KLDAPWidgets/KLDAPWidgets/LdapConfigWidget
+include/KPim6/KLDAPWidgets/KLDAPWidgets/LdapConfigureWidgetNg
+include/KPim6/KLDAPWidgets/kldap_widgets_version.h
+include/KPim6/KLDAPWidgets/kldapwidgets/addhostdialog.h
+include/KPim6/KLDAPWidgets/kldapwidgets/kldapwidgets_export.h
+include/KPim6/KLDAPWidgets/kldapwidgets/ldapactivitiesabstractplugin.h
+include/KPim6/KLDAPWidgets/kldapwidgets/ldapconfigurewidgetng.h
+include/KPim6/KLDAPWidgets/kldapwidgets/ldapconfigwidget.h
+lib/cmake/KPim6LdapCore/KPim6LdapCoreConfig.cmake
+lib/cmake/KPim6LdapCore/KPim6LdapCoreConfigVersion.cmake
+lib/cmake/KPim6LdapCore/KPim6LdapCoreTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6LdapCore/KPim6LdapCoreTargets.cmake
+lib/cmake/KPim6LdapWidgets/KPim6LdapWidgetsConfig.cmake
+lib/cmake/KPim6LdapWidgets/KPim6LdapWidgetsConfigVersion.cmake
+lib/cmake/KPim6LdapWidgets/KPim6LdapWidgetsTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6LdapWidgets/KPim6LdapWidgetsTargets.cmake
+lib/libKPim6LdapCore.so
+lib/libKPim6LdapCore.so.6
+lib/libKPim6LdapCore.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+lib/libKPim6LdapWidgets.so
+lib/libKPim6LdapWidgets.so.6
+lib/libKPim6LdapWidgets.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/kf6/kio/ldap.so
 share/locale/af/LC_MESSAGES/kio_ldap.mo
 share/locale/ar/LC_MESSAGES/kio_ldap.mo
-share/locale/ar/LC_MESSAGES/libkldap5.mo
+share/locale/ar/LC_MESSAGES/libkldap6.mo
+share/locale/ast/LC_MESSAGES/kio_ldap.mo
+share/locale/ast/LC_MESSAGES/libkldap6.mo
 share/locale/be/LC_MESSAGES/kio_ldap.mo
-share/locale/be/LC_MESSAGES/libkldap5.mo
+share/locale/be/LC_MESSAGES/libkldap6.mo
 share/locale/bg/LC_MESSAGES/kio_ldap.mo
-share/locale/bg/LC_MESSAGES/libkldap5.mo
+share/locale/bg/LC_MESSAGES/libkldap6.mo
 share/locale/bn/LC_MESSAGES/kio_ldap.mo
 share/locale/br/LC_MESSAGES/kio_ldap.mo
 share/locale/bs/LC_MESSAGES/kio_ldap.mo
-share/locale/bs/LC_MESSAGES/libkldap5.mo
+share/locale/bs/LC_MESSAGES/libkldap6.mo
 share/locale/ca/LC_MESSAGES/kio_ldap.mo
-share/locale/ca/LC_MESSAGES/libkldap5.mo
+share/locale/ca/LC_MESSAGES/libkldap6.mo
 share/locale/ca@valencia/LC_MESSAGES/kio_ldap.mo
-share/locale/ca@valencia/LC_MESSAGES/libkldap5.mo
+share/locale/ca@valencia/LC_MESSAGES/libkldap6.mo
 share/locale/cs/LC_MESSAGES/kio_ldap.mo
-share/locale/cs/LC_MESSAGES/libkldap5.mo
+share/locale/cs/LC_MESSAGES/libkldap6.mo
 share/locale/csb/LC_MESSAGES/kio_ldap.mo
 share/locale/cy/LC_MESSAGES/kio_ldap.mo
 share/locale/da/LC_MESSAGES/kio_ldap.mo
-share/locale/da/LC_MESSAGES/libkldap5.mo
+share/locale/da/LC_MESSAGES/libkldap6.mo
 share/locale/de/LC_MESSAGES/kio_ldap.mo
-share/locale/de/LC_MESSAGES/libkldap5.mo
+share/locale/de/LC_MESSAGES/libkldap6.mo
 share/locale/el/LC_MESSAGES/kio_ldap.mo
-share/locale/el/LC_MESSAGES/libkldap5.mo
+share/locale/el/LC_MESSAGES/libkldap6.mo
 share/locale/en_GB/LC_MESSAGES/kio_ldap.mo
-share/locale/en_GB/LC_MESSAGES/libkldap5.mo
+share/locale/en_GB/LC_MESSAGES/libkldap6.mo
 share/locale/eo/LC_MESSAGES/kio_ldap.mo
-share/locale/eo/LC_MESSAGES/libkldap5.mo
+share/locale/eo/LC_MESSAGES/libkldap6.mo
 share/locale/es/LC_MESSAGES/kio_ldap.mo
-share/locale/es/LC_MESSAGES/libkldap5.mo
+share/locale/es/LC_MESSAGES/libkldap6.mo
 share/locale/et/LC_MESSAGES/kio_ldap.mo
-share/locale/et/LC_MESSAGES/libkldap5.mo
+share/locale/et/LC_MESSAGES/libkldap6.mo
 share/locale/eu/LC_MESSAGES/kio_ldap.mo
-share/locale/eu/LC_MESSAGES/libkldap5.mo
+share/locale/eu/LC_MESSAGES/libkldap6.mo
 share/locale/fa/LC_MESSAGES/kio_ldap.mo
 share/locale/fi/LC_MESSAGES/kio_ldap.mo
-share/locale/fi/LC_MESSAGES/libkldap5.mo
+share/locale/fi/LC_MESSAGES/libkldap6.mo
 share/locale/fr/LC_MESSAGES/kio_ldap.mo
-share/locale/fr/LC_MESSAGES/libkldap5.mo
+share/locale/fr/LC_MESSAGES/libkldap6.mo
 share/locale/fy/LC_MESSAGES/kio_ldap.mo
 share/locale/ga/LC_MESSAGES/kio_ldap.mo
-share/locale/ga/LC_MESSAGES/libkldap5.mo
+share/locale/ga/LC_MESSAGES/libkldap6.mo
 share/locale/gl/LC_MESSAGES/kio_ldap.mo
-share/locale/gl/LC_MESSAGES/libkldap5.mo
+share/locale/gl/LC_MESSAGES/libkldap6.mo
 share/locale/he/LC_MESSAGES/kio_ldap.mo
+share/locale/he/LC_MESSAGES/libkldap6.mo
 share/locale/hi/LC_MESSAGES/kio_ldap.mo
-share/locale/hi/LC_MESSAGES/libkldap5.mo
+share/locale/hi/LC_MESSAGES/libkldap6.mo
 share/locale/hne/LC_MESSAGES/kio_ldap.mo
-share/locale/hne/LC_MESSAGES/libkldap5.mo
+share/locale/hne/LC_MESSAGES/libkldap6.mo
 share/locale/hu/LC_MESSAGES/kio_ldap.mo
-share/locale/hu/LC_MESSAGES/libkldap5.mo
+share/locale/hu/LC_MESSAGES/libkldap6.mo
 share/locale/ia/LC_MESSAGES/kio_ldap.mo
-share/locale/ia/LC_MESSAGES/libkldap5.mo
+share/locale/ia/LC_MESSAGES/libkldap6.mo
 share/locale/is/LC_MESSAGES/kio_ldap.mo
 share/locale/it/LC_MESSAGES/kio_ldap.mo
-share/locale/it/LC_MESSAGES/libkldap5.mo
+share/locale/it/LC_MESSAGES/libkldap6.mo
 share/locale/ja/LC_MESSAGES/kio_ldap.mo
-share/locale/ja/LC_MESSAGES/libkldap5.mo
+share/locale/ja/LC_MESSAGES/libkldap6.mo
 share/locale/ka/LC_MESSAGES/kio_ldap.mo
-share/locale/ka/LC_MESSAGES/libkldap5.mo
+share/locale/ka/LC_MESSAGES/libkldap6.mo
 share/locale/kk/LC_MESSAGES/kio_ldap.mo
-share/locale/kk/LC_MESSAGES/libkldap5.mo
+share/locale/kk/LC_MESSAGES/libkldap6.mo
 share/locale/km/LC_MESSAGES/kio_ldap.mo
-share/locale/km/LC_MESSAGES/libkldap5.mo
+share/locale/km/LC_MESSAGES/libkldap6.mo
 share/locale/kn/LC_MESSAGES/kio_ldap.mo
 share/locale/ko/LC_MESSAGES/kio_ldap.mo
-share/locale/ko/LC_MESSAGES/libkldap5.mo
+share/locale/ko/LC_MESSAGES/libkldap6.mo
 share/locale/lt/LC_MESSAGES/kio_ldap.mo
-share/locale/lt/LC_MESSAGES/libkldap5.mo
+share/locale/lt/LC_MESSAGES/libkldap6.mo
 share/locale/lv/LC_MESSAGES/kio_ldap.mo
-share/locale/lv/LC_MESSAGES/libkldap5.mo
+share/locale/lv/LC_MESSAGES/libkldap6.mo
 share/locale/mk/LC_MESSAGES/kio_ldap.mo
 share/locale/mr/LC_MESSAGES/kio_ldap.mo
-share/locale/mr/LC_MESSAGES/libkldap5.mo
+share/locale/mr/LC_MESSAGES/libkldap6.mo
 share/locale/ms/LC_MESSAGES/kio_ldap.mo
 share/locale/nb/LC_MESSAGES/kio_ldap.mo
-share/locale/nb/LC_MESSAGES/libkldap5.mo
+share/locale/nb/LC_MESSAGES/libkldap6.mo
 share/locale/nds/LC_MESSAGES/kio_ldap.mo
-share/locale/nds/LC_MESSAGES/libkldap5.mo
+share/locale/nds/LC_MESSAGES/libkldap6.mo
 share/locale/ne/LC_MESSAGES/kio_ldap.mo
 share/locale/nl/LC_MESSAGES/kio_ldap.mo
-share/locale/nl/LC_MESSAGES/libkldap5.mo
+share/locale/nl/LC_MESSAGES/libkldap6.mo
 share/locale/nn/LC_MESSAGES/kio_ldap.mo
-share/locale/nn/LC_MESSAGES/libkldap5.mo
+share/locale/nn/LC_MESSAGES/libkldap6.mo
 share/locale/pa/LC_MESSAGES/kio_ldap.mo
-share/locale/pa/LC_MESSAGES/libkldap5.mo
+share/locale/pa/LC_MESSAGES/libkldap6.mo
 share/locale/pl/LC_MESSAGES/kio_ldap.mo
-share/locale/pl/LC_MESSAGES/libkldap5.mo
+share/locale/pl/LC_MESSAGES/libkldap6.mo
 share/locale/pt/LC_MESSAGES/kio_ldap.mo
-share/locale/pt/LC_MESSAGES/libkldap5.mo
+share/locale/pt/LC_MESSAGES/libkldap6.mo
 share/locale/pt_BR/LC_MESSAGES/kio_ldap.mo
-share/locale/pt_BR/LC_MESSAGES/libkldap5.mo
+share/locale/pt_BR/LC_MESSAGES/libkldap6.mo
 share/locale/ro/LC_MESSAGES/kio_ldap.mo
-share/locale/ro/LC_MESSAGES/libkldap5.mo
+share/locale/ro/LC_MESSAGES/libkldap6.mo
 share/locale/ru/LC_MESSAGES/kio_ldap.mo
-share/locale/ru/LC_MESSAGES/libkldap5.mo
+share/locale/ru/LC_MESSAGES/libkldap6.mo
 share/locale/se/LC_MESSAGES/kio_ldap.mo
-share/locale/se/LC_MESSAGES/libkldap5.mo
+share/locale/se/LC_MESSAGES/libkldap6.mo
 share/locale/sk/LC_MESSAGES/kio_ldap.mo
-share/locale/sk/LC_MESSAGES/libkldap5.mo
+share/locale/sk/LC_MESSAGES/libkldap6.mo
 share/locale/sl/LC_MESSAGES/kio_ldap.mo
-share/locale/sl/LC_MESSAGES/libkldap5.mo
-share/locale/sq/LC_MESSAGES/libkldap5.mo
+share/locale/sl/LC_MESSAGES/libkldap6.mo
+share/locale/sq/LC_MESSAGES/libkldap6.mo
 share/locale/sr/LC_MESSAGES/kio_ldap.mo
-share/locale/sr/LC_MESSAGES/libkldap5.mo
+share/locale/sr/LC_MESSAGES/libkldap6.mo
 share/locale/sr@ijekavian/LC_MESSAGES/kio_ldap.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libkldap5.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libkldap6.mo
 share/locale/sr@ijekavianlatin/LC_MESSAGES/kio_ldap.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libkldap5.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libkldap6.mo
 share/locale/sr@latin/LC_MESSAGES/kio_ldap.mo
-share/locale/sr@latin/LC_MESSAGES/libkldap5.mo
+share/locale/sr@latin/LC_MESSAGES/libkldap6.mo
 share/locale/sv/LC_MESSAGES/kio_ldap.mo
-share/locale/sv/LC_MESSAGES/libkldap5.mo
+share/locale/sv/LC_MESSAGES/libkldap6.mo
 share/locale/ta/LC_MESSAGES/kio_ldap.mo
+share/locale/ta/LC_MESSAGES/libkldap6.mo
 share/locale/th/LC_MESSAGES/kio_ldap.mo
-share/locale/th/LC_MESSAGES/libkldap5.mo
+share/locale/th/LC_MESSAGES/libkldap6.mo
 share/locale/tr/LC_MESSAGES/kio_ldap.mo
-share/locale/tr/LC_MESSAGES/libkldap5.mo
+share/locale/tr/LC_MESSAGES/libkldap6.mo
 share/locale/ug/LC_MESSAGES/kio_ldap.mo
-share/locale/ug/LC_MESSAGES/libkldap5.mo
+share/locale/ug/LC_MESSAGES/libkldap6.mo
 share/locale/uk/LC_MESSAGES/kio_ldap.mo
-share/locale/uk/LC_MESSAGES/libkldap5.mo
+share/locale/uk/LC_MESSAGES/libkldap6.mo
 share/locale/uz/LC_MESSAGES/kio_ldap.mo
 share/locale/uz@cyrillic/LC_MESSAGES/kio_ldap.mo
 share/locale/vi/LC_MESSAGES/kio_ldap.mo
 share/locale/zh_CN/LC_MESSAGES/kio_ldap.mo
-share/locale/zh_CN/LC_MESSAGES/libkldap5.mo
+share/locale/zh_CN/LC_MESSAGES/libkldap6.mo
 share/locale/zh_TW/LC_MESSAGES/kio_ldap.mo
-share/locale/zh_TW/LC_MESSAGES/libkldap5.mo
-share/qlogging-categories5/kldap.categories
-share/qlogging-categories5/kldap.renamecategories
+share/locale/zh_TW/LC_MESSAGES/libkldap6.mo
+share/qlogging-categories6/kldap.categories
+share/qlogging-categories6/kldap.renamecategories
diff --git a/net/kmailtransport/Makefile b/net/kmailtransport/Makefile
index b9c5a9e2423c..7a8fee87a167 100644
--- a/net/kmailtransport/Makefile
+++ b/net/kmailtransport/Makefile
@@ -9,17 +9,16 @@ WWW=		https://www.kde.org/
 LICENSE=	LGPL21
 
 LIB_DEPENDS=	libsasl2.so:security/cyrus-sasl2 \
-		libqt5keychain.so:security/qtkeychain@qt5
+		libqt6keychain.so:security/qtkeychain@qt6
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz xorg
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz xorg
 USE_KDE=	auth codecs completion config configwidgets coreaddons i18n \
 		itemmodels jobwidgets kcmutils kio service solid wallet \
 		widgetsaddons windowsystem \
 		ecm:build
 # pim components
 USE_KDE+=	akonadi akonadimime gapi ksmtp mime pimcommon
-USE_QT=		concurrent core dbus gui network widgets xml \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_XORG=	x11
 USE_LDCONFIG=	yes
 
diff --git a/net/kmailtransport/distinfo b/net/kmailtransport/distinfo
index 517897a7782c..462d42247dfc 100644
--- a/net/kmailtransport/distinfo
+++ b/net/kmailtransport/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889482
-SHA256 (KDE/release-service/23.08.5/kmailtransport-23.08.5.tar.xz) = c3b42bcfd8aeb5cbbadf9a93948aa8ea47b628fd5891ad049a942c9ec99dc415
-SIZE (KDE/release-service/23.08.5/kmailtransport-23.08.5.tar.xz) = 174688
+TIMESTAMP = 1734460318
+SHA256 (KDE/release-service/24.12.0/kmailtransport-24.12.0.tar.xz) = 7f542a37b45b852ccfefbdc9aa39006dfe00bcd66dac386b98da9482c9691846
+SIZE (KDE/release-service/24.12.0/kmailtransport-24.12.0.tar.xz) = 189076
diff --git a/net/kmailtransport/pkg-plist b/net/kmailtransport/pkg-plist
index 7a651d55ee80..0cd8dba9afae 100644
--- a/net/kmailtransport/pkg-plist
+++ b/net/kmailtransport/pkg-plist
@@ -1,97 +1,103 @@
-include/KPim5/MailTransport/MailTransport/PrecommandJob
-include/KPim5/MailTransport/MailTransport/ServerTest
-include/KPim5/MailTransport/MailTransport/Transport
-include/KPim5/MailTransport/MailTransport/TransportAbstractPlugin
-include/KPim5/MailTransport/MailTransport/TransportComboBox
-include/KPim5/MailTransport/MailTransport/TransportConfigWidget
-include/KPim5/MailTransport/MailTransport/TransportJob
-include/KPim5/MailTransport/MailTransport/TransportManagementWidget
-include/KPim5/MailTransport/MailTransport/TransportManager
-include/KPim5/MailTransport/MailTransport/TransportType
-include/KPim5/MailTransport/mailtransport/mailtransport_export.h
-include/KPim5/MailTransport/mailtransport/precommandjob.h
-include/KPim5/MailTransport/mailtransport/private/transportconfigwidget_p.h
-include/KPim5/MailTransport/mailtransport/servertest.h
-include/KPim5/MailTransport/mailtransport/transport.h
-include/KPim5/MailTransport/mailtransport/transportabstractplugin.h
-include/KPim5/MailTransport/mailtransport/transportbase.h
-include/KPim5/MailTransport/mailtransport/transportcombobox.h
-include/KPim5/MailTransport/mailtransport/transportconfigwidget.h
-include/KPim5/MailTransport/mailtransport/transportjob.h
-include/KPim5/MailTransport/mailtransport/transportmanagementwidget.h
-include/KPim5/MailTransport/mailtransport/transportmanager.h
-include/KPim5/MailTransport/mailtransport/transporttype.h
-include/KPim5/MailTransport/mailtransport_version.h
-lib/cmake/KF5MailTransport/KF5MailTransportConfig.cmake
-lib/cmake/KF5MailTransport/KF5MailTransportConfigVersion.cmake
-lib/cmake/KF5MailTransport/KPim5MailTransportTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KF5MailTransport/KPim5MailTransportTargets.cmake
-lib/cmake/KPim5MailTransport/KPim5MailTransportConfig.cmake
-lib/cmake/KPim5MailTransport/KPim5MailTransportConfigVersion.cmake
-lib/cmake/KPim5MailTransport/KPim5MailTransportTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5MailTransport/KPim5MailTransportTargets.cmake
-lib/libKPim5MailTransport.so
-lib/libKPim5MailTransport.so.5
-lib/libKPim5MailTransport.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KMailTransport.pri
-%%QT_PLUGINDIR%%/pim5/mailtransport/mailtransport_smtpplugin.so
+include/KPim6/MailTransport/MailTransport/OutlookOAuthTokenRequester
+include/KPim6/MailTransport/MailTransport/PrecommandJob
+include/KPim6/MailTransport/MailTransport/ServerTest
+include/KPim6/MailTransport/MailTransport/Transport
+include/KPim6/MailTransport/MailTransport/TransportAbstractPlugin
+include/KPim6/MailTransport/MailTransport/TransportActivitiesAbstract
+include/KPim6/MailTransport/MailTransport/TransportActivitiesAbstractPlugin
+include/KPim6/MailTransport/MailTransport/TransportComboBox
+include/KPim6/MailTransport/MailTransport/TransportConfigWidget
+include/KPim6/MailTransport/MailTransport/TransportJob
+include/KPim6/MailTransport/MailTransport/TransportManagementWidgetNg
+include/KPim6/MailTransport/MailTransport/TransportManager
+include/KPim6/MailTransport/MailTransport/TransportModel
+include/KPim6/MailTransport/MailTransport/TransportType
+include/KPim6/MailTransport/mailtransport/mailtransport_export.h
+include/KPim6/MailTransport/mailtransport/outlookoauthtokenrequester.h
+include/KPim6/MailTransport/mailtransport/precommandjob.h
+include/KPim6/MailTransport/mailtransport/private/transportconfigwidget_p.h
+include/KPim6/MailTransport/mailtransport/servertest.h
+include/KPim6/MailTransport/mailtransport/transport.h
+include/KPim6/MailTransport/mailtransport/transportabstractplugin.h
+include/KPim6/MailTransport/mailtransport/transportactivitiesabstract.h
+include/KPim6/MailTransport/mailtransport/transportactivitiesabstractplugin.h
+include/KPim6/MailTransport/mailtransport/transportbase.h
+include/KPim6/MailTransport/mailtransport/transportcombobox.h
+include/KPim6/MailTransport/mailtransport/transportconfigwidget.h
+include/KPim6/MailTransport/mailtransport/transportjob.h
+include/KPim6/MailTransport/mailtransport/transportmanagementwidgetng.h
+include/KPim6/MailTransport/mailtransport/transportmanager.h
+include/KPim6/MailTransport/mailtransport/transportmodel.h
+include/KPim6/MailTransport/mailtransport/transporttype.h
+include/KPim6/MailTransport/mailtransport_version.h
+lib/cmake/KPim6MailTransport/KPim6MailTransportConfig.cmake
+lib/cmake/KPim6MailTransport/KPim6MailTransportConfigVersion.cmake
+lib/cmake/KPim6MailTransport/KPim6MailTransportTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6MailTransport/KPim6MailTransportTargets.cmake
+lib/libKPim6MailTransport.so
+lib/libKPim6MailTransport.so.6
+lib/libKPim6MailTransport.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+%%QT_PLUGINDIR%%/pim6/mailtransport/mailtransport_smtpplugin.so
 share/config.kcfg/mailtransport.kcfg
-share/locale/ar/LC_MESSAGES/libmailtransport5.mo
-share/locale/be/LC_MESSAGES/libmailtransport5.mo
-share/locale/bg/LC_MESSAGES/libmailtransport5.mo
-share/locale/bs/LC_MESSAGES/libmailtransport5.mo
-share/locale/ca/LC_MESSAGES/libmailtransport5.mo
-share/locale/ca@valencia/LC_MESSAGES/libmailtransport5.mo
-share/locale/cs/LC_MESSAGES/libmailtransport5.mo
-share/locale/da/LC_MESSAGES/libmailtransport5.mo
-share/locale/de/LC_MESSAGES/libmailtransport5.mo
-share/locale/el/LC_MESSAGES/libmailtransport5.mo
-share/locale/en_GB/LC_MESSAGES/libmailtransport5.mo
-share/locale/eo/LC_MESSAGES/libmailtransport5.mo
-share/locale/es/LC_MESSAGES/libmailtransport5.mo
-share/locale/et/LC_MESSAGES/libmailtransport5.mo
-share/locale/eu/LC_MESSAGES/libmailtransport5.mo
-share/locale/fi/LC_MESSAGES/libmailtransport5.mo
-share/locale/fr/LC_MESSAGES/libmailtransport5.mo
-share/locale/ga/LC_MESSAGES/libmailtransport5.mo
-share/locale/gl/LC_MESSAGES/libmailtransport5.mo
-share/locale/hi/LC_MESSAGES/libmailtransport5.mo
-share/locale/hne/LC_MESSAGES/libmailtransport5.mo
-share/locale/hu/LC_MESSAGES/libmailtransport5.mo
-share/locale/ia/LC_MESSAGES/libmailtransport5.mo
-share/locale/it/LC_MESSAGES/libmailtransport5.mo
-share/locale/ja/LC_MESSAGES/libmailtransport5.mo
-share/locale/ka/LC_MESSAGES/libmailtransport5.mo
-share/locale/kk/LC_MESSAGES/libmailtransport5.mo
-share/locale/km/LC_MESSAGES/libmailtransport5.mo
-share/locale/ko/LC_MESSAGES/libmailtransport5.mo
-share/locale/lt/LC_MESSAGES/libmailtransport5.mo
-share/locale/lv/LC_MESSAGES/libmailtransport5.mo
-share/locale/mai/LC_MESSAGES/libmailtransport5.mo
-share/locale/mr/LC_MESSAGES/libmailtransport5.mo
-share/locale/nb/LC_MESSAGES/libmailtransport5.mo
-share/locale/nds/LC_MESSAGES/libmailtransport5.mo
-share/locale/nl/LC_MESSAGES/libmailtransport5.mo
-share/locale/nn/LC_MESSAGES/libmailtransport5.mo
-share/locale/pa/LC_MESSAGES/libmailtransport5.mo
-share/locale/pl/LC_MESSAGES/libmailtransport5.mo
-share/locale/pt/LC_MESSAGES/libmailtransport5.mo
-share/locale/pt_BR/LC_MESSAGES/libmailtransport5.mo
-share/locale/ro/LC_MESSAGES/libmailtransport5.mo
-share/locale/ru/LC_MESSAGES/libmailtransport5.mo
-share/locale/se/LC_MESSAGES/libmailtransport5.mo
-share/locale/sk/LC_MESSAGES/libmailtransport5.mo
-share/locale/sl/LC_MESSAGES/libmailtransport5.mo
-share/locale/sr/LC_MESSAGES/libmailtransport5.mo
-share/locale/sr@ijekavian/LC_MESSAGES/libmailtransport5.mo
-share/locale/sr@ijekavianlatin/LC_MESSAGES/libmailtransport5.mo
-share/locale/sr@latin/LC_MESSAGES/libmailtransport5.mo
-share/locale/sv/LC_MESSAGES/libmailtransport5.mo
-share/locale/th/LC_MESSAGES/libmailtransport5.mo
-share/locale/tr/LC_MESSAGES/libmailtransport5.mo
-share/locale/ug/LC_MESSAGES/libmailtransport5.mo
-share/locale/uk/LC_MESSAGES/libmailtransport5.mo
-share/locale/zh_CN/LC_MESSAGES/libmailtransport5.mo
-share/locale/zh_TW/LC_MESSAGES/libmailtransport5.mo
-share/qlogging-categories5/kmailtransport.categories
-share/qlogging-categories5/kmailtransport.renamecategories
+share/locale/ar/LC_MESSAGES/libmailtransport6.mo
+share/locale/ast/LC_MESSAGES/libmailtransport6.mo
+share/locale/be/LC_MESSAGES/libmailtransport6.mo
+share/locale/bg/LC_MESSAGES/libmailtransport6.mo
+share/locale/bs/LC_MESSAGES/libmailtransport6.mo
+share/locale/ca/LC_MESSAGES/libmailtransport6.mo
+share/locale/ca@valencia/LC_MESSAGES/libmailtransport6.mo
+share/locale/cs/LC_MESSAGES/libmailtransport6.mo
+share/locale/da/LC_MESSAGES/libmailtransport6.mo
+share/locale/de/LC_MESSAGES/libmailtransport6.mo
+share/locale/el/LC_MESSAGES/libmailtransport6.mo
+share/locale/en_GB/LC_MESSAGES/libmailtransport6.mo
+share/locale/eo/LC_MESSAGES/libmailtransport6.mo
+share/locale/es/LC_MESSAGES/libmailtransport6.mo
+share/locale/et/LC_MESSAGES/libmailtransport6.mo
+share/locale/eu/LC_MESSAGES/libmailtransport6.mo
+share/locale/fi/LC_MESSAGES/libmailtransport6.mo
+share/locale/fr/LC_MESSAGES/libmailtransport6.mo
+share/locale/ga/LC_MESSAGES/libmailtransport6.mo
+share/locale/gl/LC_MESSAGES/libmailtransport6.mo
+share/locale/he/LC_MESSAGES/libmailtransport6.mo
+share/locale/hi/LC_MESSAGES/libmailtransport6.mo
+share/locale/hne/LC_MESSAGES/libmailtransport6.mo
+share/locale/hu/LC_MESSAGES/libmailtransport6.mo
+share/locale/ia/LC_MESSAGES/libmailtransport6.mo
+share/locale/it/LC_MESSAGES/libmailtransport6.mo
+share/locale/ja/LC_MESSAGES/libmailtransport6.mo
+share/locale/ka/LC_MESSAGES/libmailtransport6.mo
+share/locale/kk/LC_MESSAGES/libmailtransport6.mo
+share/locale/km/LC_MESSAGES/libmailtransport6.mo
+share/locale/ko/LC_MESSAGES/libmailtransport6.mo
+share/locale/lt/LC_MESSAGES/libmailtransport6.mo
+share/locale/lv/LC_MESSAGES/libmailtransport6.mo
+share/locale/mai/LC_MESSAGES/libmailtransport6.mo
+share/locale/mr/LC_MESSAGES/libmailtransport6.mo
+share/locale/nb/LC_MESSAGES/libmailtransport6.mo
+share/locale/nds/LC_MESSAGES/libmailtransport6.mo
+share/locale/nl/LC_MESSAGES/libmailtransport6.mo
+share/locale/nn/LC_MESSAGES/libmailtransport6.mo
+share/locale/pa/LC_MESSAGES/libmailtransport6.mo
+share/locale/pl/LC_MESSAGES/libmailtransport6.mo
+share/locale/pt/LC_MESSAGES/libmailtransport6.mo
+share/locale/pt_BR/LC_MESSAGES/libmailtransport6.mo
+share/locale/ro/LC_MESSAGES/libmailtransport6.mo
+share/locale/ru/LC_MESSAGES/libmailtransport6.mo
+share/locale/se/LC_MESSAGES/libmailtransport6.mo
+share/locale/sk/LC_MESSAGES/libmailtransport6.mo
+share/locale/sl/LC_MESSAGES/libmailtransport6.mo
+share/locale/sr/LC_MESSAGES/libmailtransport6.mo
+share/locale/sr@ijekavian/LC_MESSAGES/libmailtransport6.mo
+share/locale/sr@ijekavianlatin/LC_MESSAGES/libmailtransport6.mo
+share/locale/sr@latin/LC_MESSAGES/libmailtransport6.mo
+share/locale/sv/LC_MESSAGES/libmailtransport6.mo
+share/locale/ta/LC_MESSAGES/libmailtransport6.mo
+share/locale/th/LC_MESSAGES/libmailtransport6.mo
+share/locale/tr/LC_MESSAGES/libmailtransport6.mo
+share/locale/ug/LC_MESSAGES/libmailtransport6.mo
+share/locale/uk/LC_MESSAGES/libmailtransport6.mo
+share/locale/zh_CN/LC_MESSAGES/libmailtransport6.mo
+share/locale/zh_TW/LC_MESSAGES/libmailtransport6.mo
+share/qlogging-categories6/kmailtransport.categories
+share/qlogging-categories6/kmailtransport.renamecategories
diff --git a/net/kmbox/Makefile b/net/kmbox/Makefile
index aceeb7e70657..03d1618d4c8a 100644
--- a/net/kmbox/Makefile
+++ b/net/kmbox/Makefile
@@ -8,12 +8,11 @@ WWW=		https://www.kde.org/
 
 LICENSE=	LGPL21
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
 USE_KDE=	ecm:build
 # pim components
 USE_KDE+=	mime
-USE_QT=		core gui \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/kmbox/distinfo b/net/kmbox/distinfo
index ee25a30ed2dd..5dabf776ad0e 100644
--- a/net/kmbox/distinfo
+++ b/net/kmbox/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889477
-SHA256 (KDE/release-service/23.08.5/kmbox-23.08.5.tar.xz) = e583b87b0eb995ebfafa67817748c23cbd872108451e6bc8cd9590ba7ecdf400
-SIZE (KDE/release-service/23.08.5/kmbox-23.08.5.tar.xz) = 29020
+TIMESTAMP = 1734460319
+SHA256 (KDE/release-service/24.12.0/kmbox-24.12.0.tar.xz) = 246bf77b9c1f9de0de2572069e541157e65e11c39167fabd46c914eb31f9ce71
+SIZE (KDE/release-service/24.12.0/kmbox-24.12.0.tar.xz) = 29248
diff --git a/net/kmbox/pkg-plist b/net/kmbox/pkg-plist
index 8c3ad6b23c8c..d86914007b12 100644
--- a/net/kmbox/pkg-plist
+++ b/net/kmbox/pkg-plist
@@ -1,16 +1,15 @@
-include/KPim5/KMbox/KMbox/MBox
-include/KPim5/KMbox/KMbox/MBoxEntry
-include/KPim5/KMbox/kmbox/kmbox_export.h
-include/KPim5/KMbox/kmbox/mbox.h
-include/KPim5/KMbox/kmbox/mboxentry.h
-include/KPim5/KMbox/kmbox_version.h
-lib/cmake/KPim5Mbox/KPim5MboxConfig.cmake
-lib/cmake/KPim5Mbox/KPim5MboxConfigVersion.cmake
-lib/cmake/KPim5Mbox/KPim5MboxTargets-%%CMAKE_BUILD_TYPE%%.cmake
-lib/cmake/KPim5Mbox/KPim5MboxTargets.cmake
-lib/libKPim5Mbox.so
-lib/libKPim5Mbox.so.5
-lib/libKPim5Mbox.so.%%KDE_APPLICATIONS_SHLIB_VER%%
-%%QT_MKSPECDIR%%/modules/qt_KMbox.pri
-share/qlogging-categories5/kmbox.categories
-share/qlogging-categories5/kmbox.renamecategories
+include/KPim6/KMbox/KMbox/MBox
+include/KPim6/KMbox/KMbox/MBoxEntry
+include/KPim6/KMbox/kmbox/kmbox_export.h
+include/KPim6/KMbox/kmbox/mbox.h
+include/KPim6/KMbox/kmbox/mboxentry.h
+include/KPim6/KMbox/kmbox_version.h
+lib/cmake/KPim6Mbox/KPim6MboxConfig.cmake
+lib/cmake/KPim6Mbox/KPim6MboxConfigVersion.cmake
+lib/cmake/KPim6Mbox/KPim6MboxTargets-%%CMAKE_BUILD_TYPE%%.cmake
+lib/cmake/KPim6Mbox/KPim6MboxTargets.cmake
+lib/libKPim6Mbox.so
+lib/libKPim6Mbox.so.6
+lib/libKPim6Mbox.so.%%KDE_APPLICATIONS_SHLIB_VER%%
+share/qlogging-categories6/kmbox.categories
+share/qlogging-categories6/kmbox.renamecategories
diff --git a/net/kmime/Makefile b/net/kmime/Makefile
index e0a82d42a347..ee93293aeeca 100644
--- a/net/kmime/Makefile
+++ b/net/kmime/Makefile
@@ -10,11 +10,10 @@ LICENSE=	LGPL21
 
 BUILD_DEPENDS=	${LOCALBASE}/include/boost/range/algorithm.hpp:devel/boost-libs
 
-USES=		cmake compiler:c++11-lib gettext kde:5 qt:5 tar:xz
-USE_KDE=	codecs emoticons i18n init itemmodels itemviews \
+USES=		cmake compiler:c++11-lib gettext kde:6 qt:6 tar:xz
+USE_KDE=	codecs \
 		ecm:build
-USE_QT=		core \
-		buildtools:build qmake:build
+USE_QT=		base
 USE_LDCONFIG=	yes
 
 DESCR=		${.CURDIR:H:H}/deskutils/kdepim/pkg-descr
diff --git a/net/kmime/distinfo b/net/kmime/distinfo
index b4cf2c116cb7..c238eaef9602 100644
--- a/net/kmime/distinfo
+++ b/net/kmime/distinfo
@@ -1,3 +1,3 @@
-TIMESTAMP = 1707889467
-SHA256 (KDE/release-service/23.08.5/kmime-23.08.5.tar.xz) = b6894e733abf3a8fb4fc7de37b7cbf15cbebdc737b80f7fe632bdf61e5da3fda
-SIZE (KDE/release-service/23.08.5/kmime-23.08.5.tar.xz) = 162996
+TIMESTAMP = 1734460322
+SHA256 (KDE/release-service/24.12.0/kmime-24.12.0.tar.xz) = 9f26b5f96e46e4f81792782b08d748e2ce681b299674242d49bd329ebb9704cf
+SIZE (KDE/release-service/24.12.0/kmime-24.12.0.tar.xz) = 164956
